Send OTT message
curl --request POST \
--url https://api-message.nativehub.live/api/v1/ott/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel_id": "f8a9b0c1-d2e3-4567-fa89-012345678901",
"template_id": "a9b0c1d2-e3f4-5678-ab90-123456789012",
"to": "+8801712345678",
"variables": {
"name": "Alice"
}
}
'import requests
url = "https://api-message.nativehub.live/api/v1/ott/messages"
payload = {
"channel_id": "f8a9b0c1-d2e3-4567-fa89-012345678901",
"template_id": "a9b0c1d2-e3f4-5678-ab90-123456789012",
"to": "+8801712345678",
"variables": { "name": "Alice" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
channel_id: 'f8a9b0c1-d2e3-4567-fa89-012345678901',
template_id: 'a9b0c1d2-e3f4-5678-ab90-123456789012',
to: '+8801712345678',
variables: {name: 'Alice'}
})
};
fetch('https://api-message.nativehub.live/api/v1/ott/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "b0c1d2e3-f4a5-6789-bc01-234567890123",
"tenant_id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"channel_id": "f8a9b0c1-d2e3-4567-fa89-012345678901",
"template_id": "a9b0c1d2-e3f4-5678-ab90-123456789012",
"to": "+8801712345678",
"body": "Hello Alice, welcome to our service!",
"status": "delivered",
"provider_message_id": "wamid.abc123xyz",
"created_at": "2026-02-14T11:00:00Z"
}{
"error": "Invalid request parameters"
}OTT Messages
Send OTT message
Send an OTT message via configured channel
POST
/
ott
/
messages
Send OTT message
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I